com.collabnet.ce.soap60.webservices.taskmgr

## Class TaskGroupSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
    - - com.collabnet.ce.soap60.webservices.taskmgr.TaskGroupSoapDO

-     public class TaskGroupSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  A task group is a collection of one or more tasks. Task groups can also contain other task groups.
  Since:
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STATUS_ALERT` A possible value for task group status
    `static String` | `STATUS_COMPLETE` A possible value for task group status
    `static String` | `STATUS_NOT_STARTED` A possible value for task group status
    `static String` | `STATUS_OK` A possible value for task group status
    `static String` | `STATUS_WARNING` A possible value for task group status

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskGroupSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getOverdueTasks()` Returns 'overdueTasks'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getStatusRollup()` Returns 'statusRollup'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setOverdueTasks(boolean overdueTasks)` Sets 'overdueTasks'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setStatusRollup(String statusRollup)` Sets 'statusRollup'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

      `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_ALERT

          public static final String STATUS_ALERT

      A possible value for task group status
      See Also:
        Constant Field Values

    - #### STATUS_COMPLETE

          public static final String STATUS_COMPLETE

      A possible value for task group status
      See Also:
        Constant Field Values

    - #### STATUS_NOT_STARTED

          public static final String STATUS_NOT_STARTED

      A possible value for task group status
      See Also:
        Constant Field Values

    - #### STATUS_OK

          public static final String STATUS_OK

      A possible value for task group status
      See Also:
        Constant Field Values

    - #### STATUS_WARNING

          public static final String STATUS_WARNING

      A possible value for task group status
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskGroupSoapDO

          public TaskGroupSoapDO()

  - ### Method Detail

    - #### getStatus

          public String getStatus()

      Returns 'status'. The current status of this task group, based on tasks within the task group
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. The current status of this task group, based on tasks within the task group
      Parameters:
        `status` - Value of 'status'.

    - #### getOverdueTasks

          public boolean getOverdueTasks()

      Returns 'overdueTasks'. Indicates if there are overdue tasks in this task group
      Returns:
        Value of 'overdueTasks'.

    - #### setOverdueTasks

          public void setOverdueTasks(boolean overdueTasks)

      Sets 'overdueTasks'. Indicates if there are overdue tasks in this task group
      Parameters:
        `overdueTasks` - Value of 'overdueTasks'.

    - #### getStatusRollup

          public String getStatusRollup()

      Returns 'statusRollup'. The cumulative 'rollup' status of the task group, based on the tasks and any sub-task groups in the task group. Possible values are 'Alert', 'Complete', 'NotStarted', 'OK' and 'Warning'
      Returns:
        Value of 'statusRollup'.

    - #### setStatusRollup

          public void setStatusRollup(String statusRollup)

      Sets 'statusRollup'. The cumulative 'rollup' status of the task group, based on the tasks and any sub-task groups in the task group. Possible values are 'Alert', 'Complete', 'NotStarted', 'OK' and 'Warning'
      Parameters:
        `statusRollup` - Value of 'statusRollup'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.